Subject: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over MPLS PSN ?

From: "Raman Rangaswamy" <[email-masked]>
Date: Mon, 26 Nov 2007 22:00:22 +0530

Hi ,

Can I conclude from the below draft sections that

"LSP Ping should be used to test MPLS PWs over MPLS PSN and 

it does not applicable to test MPLS PWs over IP PSN(Say GRE tunnel)."

Draft: draft-ietf-pwe3-vccv-15

Section 3 : The CV types include LSP Ping [RFC4379] for MPLS
PWs, and ICMP Ping [RFC0792] [RFC4443] for both MPLS and L2TPv3 PWs. 
 
Section 4: The various VCCV CV types supported are used only when they
apply to the
context of the PW demultiplexer in use.  For example, LSP Ping type
should only be used 
when MPLS is utilized as the PSN.

Thanks,

Raman R

DISCLAIMER:
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only.
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates.
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of 
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have
received this email in error please delete it and notify the sender immediately. Before opening any mail and 
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Thomas Nadeau <[email-masked]>
Date: Tue, 27 Nov 2007 09:25:33 -0500

> “LSP Ping should be used to test MPLS PWs over MPLS PSN and
> it does not applicable to test MPLS PWs over IP PSN(Say GRE tunnel).”

	VCCV should always be used to test the PW layer regardless of the PW
type or encapsulation, and the appropriate tools for the lower layer  
to test those.
So use LSP ping/trace for MPLS LSPs, and ICMP echo for IP/l2tp
tunnels/paths.

	--Tom

> Section 4: The various VCCV CV types supported are used only when  
> they apply to the
> The contents of this e-mail and any attachment(s) are confidential  
> and intended for the named recipient(s) only.
> It shall not attach any liability on the originator or HCL or its  
> affiliates. Any views or opinions presented in
> this email are solely those of the author and may not necessarily  
> reflect the opinions of HCL or its affiliates.
> Any form of reproduction, dissemination, copying, disclosure,  
> modification, distribution and / or publication of
> this message without the prior written consent of the author of this  
> e-mail is strictly prohibited. If you have

---

From: "Sasha Vainshtein" <[email-masked]>
Date: Wed, 28 Nov 2007 11:23:18 +0200

Tom, Raman and all,
My understanding of the original question was (please correct me if I
got something wrong):

	Can LSP ping in VCCV be used to verify the PW connectivity if it
uses, say, MPLS-in-IP or MPLS-in-GRE for transport and the PW label
(bound to the appropriate PW Id or Generalized PW Id FEC) for PW
demultiplexing? And is such a verification required if the IP
connectivity to the remote device is OK?

IMHO the answer is:

*	
	Such a verification makes sense (the PW demuxing in the remote
box can go wrong even if the IP transport brings the PW packets to the
correct remote box)
*	
	LSP Ping in VCCV is the appropriate (and, AFAIK, the only) way
to perform it.

Did I miss something?
 
Regards,
                   Sasha

________________________________

From: Thomas Nadeau [mailto:[email-masked]] 
Sent: Tuesday, November 27, 2007 4:26 PM
To: Raman Rangaswamy
Cc: [email-masked]; Vijayanand C - TLS, Chennai.
Subject: Re: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over MPLS PSN
?

	Hi ,
	
	Can I conclude from the below draft sections that
	"LSP Ping should be used to test MPLS PWs over MPLS PSN and
	it does not applicable to test MPLS PWs over IP PSN(Say GRE
tunnel)."

VCCV should always be used to test the PW layer regardless of the PW 
type or encapsulation, and the appropriate tools for the lower layer to
test those. 
So use LSP ping/trace for MPLS LSPs, and ICMP echo for IP/l2tp 
tunnels/paths.

--Tom

	Draft: draft-ietf-pwe3-vccv-15
	Section 3 : The CV types include LSP Ping [RFC4379] for MPLS
	PWs, and ICMP Ping [RFC0792] [RFC4443] for both MPLS and L2TPv3
PWs. 
	 
	Section 4: The various VCCV CV types supported are used only
when they apply to the
	context of the PW demultiplexer in use.  For example, LSP Ping
type should only be used 
	when MPLS is utilized as the PSN.
	 
	Thanks,
	Raman R
DISCLAIMER:
------------------------------------------------------------------------
-----------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and
intended for the named recipient(s) only.
It shall not attach any liability on the originator or HCL or its
affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily
reflect the opinions of HCL or its affiliates.
Any form of reproduction, dissemination, copying, disclosure,
modification, distribution and / or publication of 
this message without the prior written consent of the author of this
e-mail is strictly prohibited. If you have
received this email in error please delete it and notify the sender
immediately. Before opening any mail and 
attachments please check them for viruses and defect.

------------------------------------------------------------------------
-----------------------------------------------

---

From: Carlos Pignataro <[email-masked]>
Date: Wed, 28 Nov 2007 08:46:39 -0500

Hi,

On 11/28/2007 4:23 AM, Sasha Vainshtein said the following:
>     /Can LSP ping in VCCV be used to verify the PW connectivity if it
>     uses, say, MPLS-in-IP or MPLS-in-GRE for transport and the PW
>     label (bound to the appropriate PW Id or Generalized PW Id FEC)
>     for PW demultiplexing? And is such a verification required if the
>     IP connectivity to the remote device is OK?/
>
> IMHO the answer is:
>
>    *
>       Such a verification *makes* *sense* (the PW demuxing in the
>       remote box can go wrong even if the IP transport brings the PW
>       packets to the correct remote box)
>    *
I don't think you missed anything. I understood the question (and
answer) the same way.
The relevant text is the one that Raman originally quoted, i.e.:

   The various VCCV CV Types
   supported are used only when they apply to the context of the PW
   demultiplexer in use.  For example, the LSP Ping CV Type should only
   be used when MPLS is utilized as the PSN.

However, it is unfortunate that the example (intended to clarify) might
be source of confusion. The key is "/only when they apply to the context
of the PW demultiplexer in use/", so LSP Ping applies when using MPLS
Labels as PW Demultiplexer. The wording chosen in the second sentence
(the example) might not be the best to convey the intended meaning.
Would it help if the second sentence was reworded from:

   For example, the LSP Ping CV Type should only
   be used when MPLS is utilized as the PSN.

to:

   For example, the LSP Ping CV Type should only
   be used when MPLS Labels are utilized as PW Demultiplexer.

I think that this does not change the intended meaning, but instead it
narrows and clarifies the wording of the example, and there's still time
for such wording change.

Thanks,

--Carlos.

> *From:* Thomas Nadeau [mailto:[email-masked]]
> *Sent:* Tuesday, November 27, 2007 4:26 PM
> *To:* Raman Rangaswamy
> *Cc:* [email-masked]; Vijayanand C - TLS, Chennai.
> *Subject:* Re: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over MPLS
> PSN ?
>
>
>> Hi ,
>> *Draft: draft-ietf-pwe3-vccv-15*
>> *Section 3 : *The CV types include LSP Ping [RFC4379] for MPLS
>> *Section 4:* The various VCCV CV types supported are used only when they apply to the
>> context of the PW demultiplexer in use.  For example, LSP Ping type should only be used 
>> *Raman R*
>> [email-masked] <mailto:[email-masked]>

-- 
--Carlos Pignataro.
Escalation RTP - cisco Systems

---

From: Carlos Pignataro <[email-masked]>
Date: Wed, 28 Nov 2007 08:55:28 -0500

On 11/28/2007 8:46 AM, Carlos Pignataro said the following:
> However, it is unfortunate that the example (intended to clarify)
> might be source of confusion. The key is "/only when they apply to the
> context of the PW demultiplexer in use/", so LSP Ping applies when
> using MPLS Labels as PW Demultiplexer.
To add to this, the same can be inferred from Figures 1 and 2 (relevant
snips below), the reference model and protocol stack, although it might
help reword the example;

            |          |<---------- VCCV ---------->|          |
            |          |<------- Pseudowire ------->|          |
            |          |                            |          |
            |          |    |<-- PSN Tunnel -->|    |          |

...

       +-------------+                                +-------------+
       |             |            VCCV/PW             |             |
       |Demultiplexer|       < Control Channel >      |Demultiplexer|
       +-------------+                                +-------------+
       |    PSN      |          < PSN Tunnel >        |    PSN      |
       +-------------+                                +-------------+

Thanks,

--Carlos.
> The wording chosen in the second sentence (the example) might not be
> the best to convey the intended meaning. Would it help if the second
> sentence was reworded from:
> narrows and clarifies the wording of the example, and there's still
> time for such wording change.
>
> Thanks,
>
> --Carlos.
>
>>  
>> Regards,
>>                    Sasha
>>
>> *Subject:* Re: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over
>> MPLS PSN ?
>>
>>
>>> Hi ,

---

From: "Sasha Vainshtein" <[email-masked]>
Date: Wed, 28 Nov 2007 15:56:21 +0200

Carlos and all,
Adding Mark (as the shepherding AD) to the CC list.
 
I think that the wording you've proposed would substantially improve the
readability of the document.
 
Tom,
Could you possibly re-phrase as per Carlos suggestion during the AUTH48
phase?
 
Regards,
                            Sasha

From: Carlos Pignataro [mailto:[email-masked]] 
Sent: Wednesday, November 28, 2007 3:47 PM
To: Sasha Vainshtein
Cc: Thomas Nadeau; Raman Rangaswamy; [email-masked]; Vijayanand C - TLS,
Chennai.
Subject: Re: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over MPLS PSN
?

Hi,

	Tom, Raman and all,
	My understanding of the original question was (please correct me
if I got something wrong):

		Can LSP ping in VCCV be used to verify the PW
connectivity if it uses, say, MPLS-in-IP or MPLS-in-GRE for transport
and the PW label (bound to the appropriate PW Id or Generalized PW Id
FEC) for PW demultiplexing? And is such a verification required if the
IP connectivity to the remote device is OK?

	IMHO the answer is:

	*	
		Such a verification makes sense (the PW demuxing in the
remote box can go wrong even if the IP transport brings the PW packets
to the correct remote box)
	*	
		LSP Ping in VCCV is the appropriate (and, AFAIK, the
only) way to perform it.

	Did I miss something?

be source of confusion. The key is "only when they apply to the context
of the PW demultiplexer in use", so LSP Ping applies when using MPLS

Thanks,

--Carlos.

	Regards,
	                   Sasha

	From: Thomas Nadeau [mailto:[email-masked]] 
	Sent: Tuesday, November 27, 2007 4:26 PM
	To: Raman Rangaswamy
	Cc: [email-masked]; Vijayanand C - TLS, Chennai.
	Subject: Re: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over
MPLS PSN ?

		Hi ,
		
		Can I conclude from the below draft sections that
		"LSP Ping should be used to test MPLS PWs over MPLS PSN
and
		it does not applicable to test MPLS PWs over IP PSN(Say
GRE tunnel)."

	VCCV should always be used to test the PW layer regardless of
the PW 
	type or encapsulation, and the appropriate tools for the lower
layer to test those. 
	So use LSP ping/trace for MPLS LSPs, and ICMP echo for IP/l2tp 
	tunnels/paths.

	
	--Tom

		Draft: draft-ietf-pwe3-vccv-15
		Section 3 : The CV types include LSP Ping [RFC4379] for
MPLS
		PWs, and ICMP Ping [RFC0792] [RFC4443] for both MPLS and
L2TPv3 PWs. 
		 
		Section 4: The various VCCV CV types supported are used
only when they apply to the
		context of the PW demultiplexer in use.  For example,
LSP Ping type should only be used 
		when MPLS is utilized as the PSN.
		 
		Thanks,
		Raman R
DISCLAIMER:

---

From: Carlos Pignataro <[email-masked]>
Date: Wed, 28 Nov 2007 09:12:56 -0500

Hi Sasha,

VCCV is now in AUTH48, so timing couldn't be better :) I'll send in this
change to the RFC Editor (I believe it's an editorial, to clarify/narrow
the example's wording), but I'll wait a bit in case there's other comments.
Thank you, and thanks Raman for finding this room for improvement :)

--Carlos.

On 11/28/2007 8:56 AM, Sasha Vainshtein said the following:
> *From:* Carlos Pignataro [mailto:[email-masked]]
> *Sent:* Wednesday, November 28, 2007 3:47 PM
> *To:* Sasha Vainshtein
> *Cc:* Thomas Nadeau; Raman Rangaswamy; [email-masked]; Vijayanand C -
> TLS, Chennai.
> *Subject:* Re: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over MPLS PSN ?
> 
> Hi,
>

---

From: "Raman Rangaswamy" <[email-masked]>
Date: Wed, 28 Nov 2007 16:21:24 +0530

Sasha & Tom,

Thanks for your input. 

Sasha, your understanding of the question is correct..

Regds,

Raman

From: Sasha Vainshtein [mailto:[email-masked]] 
Sent: Wednesday, November 28, 2007 2:53 PM
To: Thomas Nadeau; Raman Rangaswamy
Cc: [email-masked]; Vijayanand C - TLS, Chennai.
Subject: RE: [PWE3] Is VCCV LSP Ping to test only MPLS PWs over MPLS PSN
?

Tom, Raman and all,

IMHO the answer is:

*	Such a verification makes sense (the PW demuxing in the remote
box can go wrong even if the IP transport brings the PW packets to the
correct remote box)

*	LSP Ping in VCCV is the appropriate (and, AFAIK, the only) way
to perform it.

Did I miss something?

Regards,

                   Sasha

	

	Hi ,

tunnels/paths.

--Tom

 

Thanks,

Raman R

DISCLAIMER:

---

From: Mark Townsley <[email-masked]>
Date: Wed, 28 Nov 2007 16:17:16 +0100

Yes Carlos, I think your wording is more accurate. Thanks.

- Mark

Sasha Vainshtein wrote:
> I think that the wording you've proposed would substantially improve 
> the readability of the document.
> Tom,
> Could you possibly re-phrase as per Carlos suggestion during the 
> AUTH48 phase?
> Regards,
> Sasha
>
> using MPLS Labels as PW Demultiplexer. The wording chosen in the 
> second sentence (the example) might not be the best to convey the 
> intended meaning. Would it help if the second sentence was reworded from: